/bin/rm Argument List Too Long Error
12/04/2014 04:39 PM - Daniel Curtis

Status: Closed Start date: 12/04/2014
Priority: Normal Due date:

Assignee: Daniel Curtis % Done: 100%
Category: Estimated time: 0.50 hour
Target version: Spent time: 0.50 hour
Description

| came across a problem delete a massive amount of individual files, the error displayed the following:

/bin/rm: Argument list too long.

After doing a bit of research online | came across a neat solution to work around this issue.

cd /path/to/directory
find . —-name '*' | xargs rm

Resources

e http://www.simplehelp.net/2009/02/18/linux-tip-overcoming-the-binrm-argument-list-too-long-error/

History

#1 - 12/04/2014 04:39 PM - Daniel Curtis

- Description updated

#2 - 12/10/2014 10:43 AM - Daniel Curtis

- Status changed from New to Resolved

#3 - 12/12/2014 10:53 AM - Daniel Curtis
- Status changed from Resolved to Closed

- % Done changed from 0 to 100

03/13/2024

1/1



http://www.simplehelp.net/2009/02/18/linux-tip-overcoming-the-binrm-argument-list-too-long-error/
http://www.tcpdf.org

